## org.freedesktop.NetworkManager.Device.Statistics

org.freedesktop.NetworkManager.Device.Statistics

## Signals

    PropertiesChanged (a{sv} properties);

## Properties

    RefreshRateMs  readwrite  u
    TxBytes        readable   t
    RxBytes        readable   t

## Description

## Signal Details

### The "PropertiesChanged" signal

    PropertiesChanged (a{sv} properties);

DEPRECATED. Use the standard "PropertiesChanged" signal from "org.freedesktop.DBus.Properties" instead which exists since version NetworkManager 1.2.0.

`a{sv} `properties``: | A dictionary mapping property names to variant boxed values

## Property Details

### The "RefreshRateMs" property

    RefreshRateMs  readwrite  u

Refresh rate of the rest of properties of this interface. The properties are guaranteed to be refreshed each RefreshRateMs milliseconds in case the underlying counter has changed too. If zero, there is no guaranteed refresh rate of the properties.

### The "TxBytes" property

    TxBytes  readable   t

Number of transmitted bytes

### The "RxBytes" property

    RxBytes  readable   t

Number of received bytes